Subject: Re: [bug#44253] [PATCH] gnu: Add guile-filesystem.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 30 Oct 2020 00:16:40 +0100

Hi Leo!

Leo Prikler <[email-masked]> skribis:

> Am Mittwoch, den 28.10.2020, 16:21 +0100 schrieb Ludovic Courtès:
>> Hi,
>> 
>> Leo Prikler <[email-masked]> skribis:
>> 
>> > * gnu/packages/guile-xyz.scm (guile-filesystem): New variable.
>> > (guile2.0-filesystem guile2.2-filesystem): New variable.
>> 
>> Applied, thanks!
>> 
>> However, note that I would not recommend adding 2.0/2.2 variants
>> unless
>> we have a clear use case for it in Guix.
> In this case I simply wanted to make sure, that people could include it
> in projects, whose other dependencies are still stuck on Guile 2.0 or
> Guile 2.2 in Guix.  Not really a "clear use case", but that's my
> reasoning.

I guess that’s very valid use case for you as the upstream developer of
‘guile-filesystem’, but not so much for a downstream user of Guix.

> On the topic of those variants, however, would it perhaps be wiser to
> make this a package-mapping instead, or is there a case where `--with-
> input=guile=guile@$EFFECTIVE_VERSION` would be ill-advised?

Unfortunately, ‘--with-input=guile=…’ triggers a world rebuild because
Guile appears deep down in the graph.  Otherwise it would be a good use
case.  :-)

>> With my Guile hat on, I’d also recommend against using the (ice-9 …)
>> name space, which is in Guile’s backyard.  :-)
>> 
>> Ludo’.
> I thought poking into Guile's backyard was a best practice in order to
> get the attention of Guile maintainers, as with guile-readline and
> guile-colorized ;)

Heheh, true!  But note that guile-readline is actually part of Guile.

> My plan is also to contribute it to Guile proper at some point and then
> perhaps keep that repository as a backport for a while until all
> relevant versions of Guile have a "proper" filesystem module.

Make sense.  (I’d recommed “file system” as two words, then.  :-))

Cheers,
Ludo’.